"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var propTypes = {
  /**
   * The component that will be wrapped by i18n provider.
   */
  children: _propTypes.default.node.isRequired,
  /**
   * The locale name.
   */
  locale: _propTypes.default.string.isRequired,
  /**
   * Translations messages object.
   */
  messages: _propTypes.default.shape({}).isRequired
};
var I18nProvider = function I18nProvider(_ref) {
  var children = _ref.children,
    locale = _ref.locale,
    messages = _ref.messages;
  return /*#__PURE__*/_react.default.createElement(_reactIntl.IntlProvider, {
    locale: locale,
    key: locale,
    messages: messages
  }, /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children));
};
I18nProvider.propTypes = propTypes;
var _default = exports.default = I18nProvider;